import { ElementRef, OnInit } from '@angular/core';
import { RadRadialGauge, RadialScale, RadialBarIndicator, RadialNeedle } from 'nativescript-ui-gauge';
import * as i0 from "@angular/core";
export declare class RadRadialGaugeComponent {
    private _elementRef;
    private _radialGauge;
    constructor(_elementRef: ElementRef);
    get nativeElement(): RadRadialGauge;
    get radialGauge(): RadRadialGauge;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadRadialGaugeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadRadialGaugeComponent, "RadRadialGauge", never, {}, {}, never, never, false, never>;
}
export declare class TKRadialScaleDirective {
    private _elementRef;
    private _radialScale;
    constructor(_elementRef: ElementRef);
    get radialScale(): RadialScale;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKRadialScaleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKRadialScaleDirective, "RadialScale", never, {}, {}, never, never, false, never>;
}
export declare class TKRadialBarIndicatorDirective {
    private _elementRef;
    private _barIndicator;
    constructor(_elementRef: ElementRef);
    get radialScale(): RadialBarIndicator;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKRadialBarIndicatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKRadialBarIndicatorDirective, "RadialBarIndicator", never, {}, {}, never, never, false, never>;
}
export declare class TKRadialNeedleDirective {
    private _elementRef;
    private _radialNeedle;
    constructor(_elementRef: ElementRef);
    get radialNeedle(): RadialNeedle;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKRadialNeedleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKRadialNeedleDirective, "RadialNeedle", never, {}, {}, never, never, false, never>;
}
export declare class TKRadialGaugeScalesDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: RadRadialGaugeComponent, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKRadialGaugeScalesDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKRadialGaugeScalesDirective, "[tkRadialGaugeScales]", never, {}, {}, never, never, false, never>;
}
export declare class TKRadialScaleStyleDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: TKRadialScaleDirective, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKRadialScaleStyleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKRadialScaleStyleDirective, "[tkRadialScaleStyle]", never, {}, {}, never, never, false, never>;
}
export declare class TKRadialScaleIndicatorsDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: TKRadialScaleDirective, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKRadialScaleIndicatorsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKRadialScaleIndicatorsDirective, "[tkRadialScaleIndicators]", never, {}, {}, never, never, false, never>;
}
export declare class TKRadialBarIndicatorStyleDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: TKRadialBarIndicatorDirective, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKRadialBarIndicatorStyleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKRadialBarIndicatorStyleDirective, "[tkRadialBarIndicatorStyle]", never, {}, {}, never, never, false, never>;
}
export declare class TKRadialGaugeTitleStyleDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: RadRadialGaugeComponent, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKRadialGaugeTitleStyleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKRadialGaugeTitleStyleDirective, "[tkRadialGaugeTitleStyle]", never, {}, {}, never, never, false, never>;
}
export declare class TKRadialGaugeSubtitleStyleDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: RadRadialGaugeComponent, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKRadialGaugeSubtitleStyleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKRadialGaugeSubtitleStyleDirective, "[tkRadialGaugeSubtitleStyle]", never, {}, {}, never, never, false, never>;
}
export declare class TKRadialNeedleStyleDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: TKRadialNeedleDirective, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKRadialNeedleStyleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKRadialNeedleStyleDirective, "[tkRadialNeedleStyle]", never, {}, {}, never, never, false, never>;
}
export declare const GAUGES_DIRECTIVES: (typeof RadRadialGaugeComponent | typeof TKRadialScaleDirective | typeof TKRadialBarIndicatorDirective | typeof TKRadialNeedleDirective | typeof TKRadialGaugeScalesDirective | typeof TKRadialScaleStyleDirective | typeof TKRadialScaleIndicatorsDirective | typeof TKRadialBarIndicatorStyleDirective | typeof TKRadialGaugeTitleStyleDirective | typeof TKRadialGaugeSubtitleStyleDirective | typeof TKRadialNeedleStyleDirective)[];
export declare class NativeScriptUIGaugeModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<NativeScriptUIGaugeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NativeScriptUIGaugeModule, [typeof RadRadialGaugeComponent, typeof TKRadialScaleDirective, typeof TKRadialGaugeScalesDirective, typeof TKRadialScaleStyleDirective, typeof TKRadialScaleIndicatorsDirective, typeof TKRadialBarIndicatorStyleDirective, typeof TKRadialBarIndicatorDirective, typeof TKRadialGaugeTitleStyleDirective, typeof TKRadialNeedleStyleDirective, typeof TKRadialNeedleDirective, typeof TKRadialGaugeSubtitleStyleDirective], never, [typeof RadRadialGaugeComponent, typeof TKRadialScaleDirective, typeof TKRadialGaugeScalesDirective, typeof TKRadialScaleStyleDirective, typeof TKRadialScaleIndicatorsDirective, typeof TKRadialBarIndicatorStyleDirective, typeof TKRadialBarIndicatorDirective, typeof TKRadialGaugeTitleStyleDirective, typeof TKRadialNeedleStyleDirective, typeof TKRadialNeedleDirective, typeof TKRadialGaugeSubtitleStyleDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NativeScriptUIGaugeModule>;
}
